stages:
  - build

build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  script:
    - docker build -t $CI_REGISTRY/$CI_PROJECT_PATH:latest .
    - docker push $CI_REGISTRY/$CI_PROJECT_PATH:latest

db-build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  script:
    - docker build -t $CI_REGISTRY/$CI_PROJECT_PATH/db:latest -f DockerfileDB .
    - docker push $CI_REGISTRY/$CI_PROJECT_PATH/db:latest

bot-build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  script:
    - docker build -t $CI_REGISTRY/$CI_PROJECT_PATH/bot:latest -f DockerfileBot .
    - docker push $CI_REGISTRY/$CI_PROJECT_PATH/bot:latest